Subject: bug#61078: closed (Re: [bug#61078] [PATCH v2 1/4] gnu: Rename 'git-minimal/fixed' to 'git-minimal/pinned'.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 05 Feb 2023 06:15:01 +0000

Your bug report

#61078: [PATCH 0/4] Rename '/fixed' by '/pinned'

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61078: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61078
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#61078] [PATCH v2 1/4] gnu: Rename 'git-minimal/fixed' to 'git-minimal/pinned'.
From: Liliana Marie Prikler <[email-masked]>
To: zimoun <[email-masked]>, [email-masked]
Date: Sun, 05 Feb 2023 07:14:47 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Mittwoch, dem 01.02.2023 um 21:29 +0100 schrieb zimoun:
> Hi Liliana,
> 
> Thanks for double checking. :-)
> 
> On Wed, 01 Feb 2023 at 18:43, Liliana Marie Prikler
> <[email-masked]> wrote:
> > Am Mittwoch, dem 01.02.2023 um 10:36 +0100 schrieb Simon Tournier:
> > > * gnu/packages/version-control.scm: Rename variable 'git-
> > > minimal/fixed' to
> > > 'git-minimal/pinned', add depreciation.
> > > * gnu/packages/erlang.scm (erlang-erlware-commons)[native-
> > > inputs]:
> > > Replace
> > > 'git-minimal/fixed' with 'git-minimal/pinned'.
> > > (rebar3-git-vsn)[inputs]: Idem.
> > I personally prefer "Likewise", so I'll reword it to that unless
> > you
> > have a strong objection.
> 
> No objection.
> 
> > > (ghc-8.10)[native-inputs]: Idem.
> > I think this could be shortened to (ghc-8.8, ghc-8.10)[native-
> > inputs].
> > WDYT?
> 
> Feel free. :-)
Done and pushed with the rest of the series.

Cheers

Subject: [PATCH 0/4] Rename '/fixed' by '/pinned'
From: Simon Tournier <[email-masked]>
To: [email-masked]
Cc: Simon Tournier <[email-masked]>
Date: Thu, 26 Jan 2023 17:42:38 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

As discussed in this subthread [1] of patch#60042, this series renames the
packages which are 'pinned' (version that rarely changes) to distinguish with
packages which are 'fixed' (mainly the ones with security fixes used as
grafts).

For instance, it was previously 'samba/fixed' and 'samba/fixed-patched' which
can be confusing; especially when other packages are using '/fixed' for
security fixes.  Now it becomes: 'samba/pinned' and 'samba/fixed'.

There is no rebuild, if all is going well. :-)

Cheers,
simon

1: <https://issues.guix.gnu.org/msgid/[email-masked]>

Simon Tournier (4):
  gnu: Rename 'git-minimal/fixed' to 'git-minimal/pinned'.
  gnu: Rename 'libnftnl/fixed' to 'libnftnl/pinned'.
  gnu: Rename 'guile-3.0/fixed' to 'guile-3.0/pinned'.
  gnu: Rename 'samba/fixed' to 'samba/pinned'.

 etc/release-manifest.scm         |  2 +-
 gnu/packages/autotools.scm       |  2 +-
 gnu/packages/commencement.scm    |  2 +-
 gnu/packages/erlang.scm          |  4 ++--
 gnu/packages/gnome.scm           |  4 ++--
 gnu/packages/gtk.scm             |  2 +-
 gnu/packages/guile.scm           |  2 +-
 gnu/packages/haskell.scm         |  4 ++--
 gnu/packages/julia-xyz.scm       |  2 +-
 gnu/packages/linux.scm           |  4 ++--
 gnu/packages/ocaml.scm           |  4 ++--
 gnu/packages/python-xyz.scm      |  4 ++--
 gnu/packages/samba.scm           | 10 +++++-----
 gnu/packages/version-control.scm |  2 +-
 14 files changed, 24 insertions(+), 24 deletions(-)

base-commit: 0e480ca7b60428a62fc4681d7aca6c7c067add42
-- 
2.38.1